Skip to main content
GET
/
core
/
syncs
Get Syncs
curl --request GET \
  --url https://api.rootfi.dev/v3/core/syncs \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/core/syncs"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/core/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 1,
      "rootfi_created_at": "2021-08-31T18:00:00Z",
      "rootfi_updated_at": "2021-08-31T18:00:00Z",
      "rootfi_company_id": 1,
      "start_time": "2021-08-31T18:00:00Z",
      "end_time": "2021-08-31T18:00:00Z",
      "integration_type": "XERO",
      "full_sync": true,
      "sync_type": "AUTO_SYNC",
      "config_mode": "READ",
      "sync_data_models": [
        "ACCOUNTS",
        "CONTACTS"
      ],
      "sync_id": "VmaVgKMaiygMzTK1",
      "total_count": 100,
      "success_count": 100,
      "failed_count": 0,
      "running_count": 0,
      "pending_count": 0,
      "status": "SUCCESS"
    }
  ],
  "next": "https://api.rootfi.dev/syncs?next=eyJpZCI6MX0%3D"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of objects you want to retrieve

rootfi_company_id
integer | null

The ID of the company

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

Response

The data of the syncs endpoint

data
coreSyncData · object[]
required

The data of the invite link endpoint

next
string | null

The next page of objects to retrieve